Name: distro-id
Version: 1.8.1
Release: 0.201401110002
Summary: Standalone POSIX-shell script used to identify Linux distributions

Group: Development/Tools

License: BSD-3-Clause
URL: https://sourceforge.net/p/distro-id
#Copyright: 2009-2012 Hewlett-Packard Development Company, L.P
Packager: Bryan Gartner <bryang@users.sf.net>

#
# Source Section
#
Source: distro-id_1.8.1.tar.gz

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch: noarch
%description
The standalone POSIX-shell script, distro-id.sh, used to identify
Linux distributions. The output is modeled after lsb_release output
to be easily parseable. This has very few dependencies, and is
intended to be functional in minimal OS installations.

%prep
%setup -q

%build
# macro configure doesn't work. (Do not put a percent before the word)
./configure --prefix=/usr/share/distro-id --bindir=/usr/bin --datarootdir=/usr/share/distro-id --docdir=/usr/share/doc/distro-id

%install
%{__rm} -rf %{buildroot}
make DESTDIR=%{buildroot} install

%pre
#
# Invoke pre-install action script
#

%preun
#
# Invoke pre-uninstall action script
#

%post
#
# Invoke post-install action script
#

%postun
#
# Invoke post-uninstall action script
#

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
/usr/bin/distro-id.sh
/usr/share/distro-id/
/usr/share/doc/distro-id/

%changelog
* Sat Apr 28 2012 - Bryan Gartner <bryang@users.sf.net> 
  - Initial packaged release

